{ config, lib, pkgs, ... }:

let
  domain = "reddit.giugl.io";
in
{
  services.libreddit = {
    enable = true;
    port = 9090;
  };
  
  architect.vhost.${domain} = {
    dnsInterfaces = [ "lan" "tailscale" "wireguard" ];
    locations."/".port = config.services.libreddit.port;
  };
}
