{ config, lib, ... }:

let
  domain = "htnzb.giugl.io";
in
{
  services.nzbget = {
    enable = true;
    group = "media";
  };

  architect.vhost.${domain} = {
    dnsInterfaces = [ "tailscale" "wireguard" "lan" ];

    locations."/" = {
      port = 6789;
      allowLan = true;
    };
  };

  users.groups.media.members = [ "nzbget" ];
}
